Subject: Re: bug#76607: Missing age-keygen - can't build package cache

From: Rostislav Svoboda <[email-masked]>
Date: Thu, 27 Feb 2025 16:45:57 +0100

> > No module 'guix build age' exists.  The "bin/age-keygen" is in the
> > gnu/packages/password-utils.scm. (See below)
>
> It's a shell command, not Scheme code.

Aaah. Well that kind of minimalism is just too minimal. SRY 😉

> Try running `guix build age` and then looking in the age store item for
> age-keygen.

Thanks Leo.

bost@ecke ~/dev/guix [env]$ test -f $(./pre-inst-env guix build
age)/bin/age-keygen && echo "file-found" || echo "file-not-found"
file-found

Cheers,
Bost